| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SbMutex Class Reference
Portable Threads Abstraction Classes

A basic class for managing a mutex.This class provides a portable framework around the mutex interface of the underlying native thread-handling toolkit. More...

`#include <Inventor/threads/SbMutex.h>`

## Public Member Functions

| SbMutex (void)
| ~SbMutex ()
int | lock (void)
SbBool | tryLock (void)
int | unlock (void)

## Detailed Description

A basic class for managing a mutex.

This class provides a portable framework around the mutex interface of the underlying native thread-handling toolkit.

## Constructor & Destructor Documentation

SbMutex::SbMutex | ( | void | ) |  |

inline

Constructor.

SbMutex::~SbMutex | ( | ) |  |

inline

Destructor.

## Member Function Documentation

int SbMutex::lock | ( | void | ) |  |

inline

This method locks the mutex. `0` is returned on success.

If the mutex was previously unlocked, the thread will lock the mutex and continue running. If the mutex was already locked when this call is made, the thread will be suspended until the other thread holding the mutex releases it.

This is a blocking operation.

SbBool SbMutex::tryLock | ( | void | ) |  |

inline

This method tries to lock the mutex, and returns whether it was locked or not. This is a non-blocking operation.

int SbMutex::unlock | ( | void | ) |  |

inline

This method unlocks the mutex.

The documentation for this class was generated from the following files:

- SbMutex.h
- mutex.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.